<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Site</a></li>
            <li class="breadcrumb-item active" aria-current="page">Faculty</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($faculty)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Faculty
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($faculty)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Faculty
                            </h4>
                            <?php if(isset($faculty)): ?>
                                <form method="post" action="/admin/faculties/<?php echo e($faculty->id); ?>" id="AuthorForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/faculties" id="AuthorForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Faculty Name</label>
                                                <input class="form-control" name="name" placeholder="Faculty Name"
                                                    value="<?php if(isset($faculty)): ?><?php echo e($faculty->name); ?><?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Faculty Email</label>
                                                <input class="form-control" name="email" placeholder="Faculty Email"
                                                    value="<?php if(isset($faculty)): ?><?php echo e($faculty->email); ?><?php endif; ?>"
                                                    type="email">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Display Order</label>
                                                <input class="form-control" name="display_order" placeholder="Display Order"
                                                    value="<?php if(isset($faculty)): ?><?php echo e($faculty->display_order); ?> <?php else: ?> <?php echo e($display_order); ?> <?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Designation</label>
                                                <input class="form-control" name="designation" placeholder="Designation"
                                                    value="<?php if(isset($faculty)): ?><?php echo e($faculty->designation); ?> <?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div>
                                                <label for="name" class="form-label">Note</label>
                                            </div>
                                            <div class="mb-3">
                                                <textarea id="maxlength-textarea" name="note" class="form-control" id="defaultconfig-4" rows="5"
                                                    placeholder="Enter Short note"><?php if(isset($faculty)): ?><?php echo e($faculty->note); ?><?php endif; ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div>
                                                <label for="name" class="form-label">Faculty Image</label>
                                            </div>
                                            <div class="mb-3">
                                                <input name="facultyImage" type="file" id="myDropify"
                                                    data-allowed-file-extensions="jpg png jpeg"
                                                    <?php if(isset($faculty)): ?> data-default-file="<?php echo e($faculty->getFirstMediaUrl('faculty')); ?>" <?php endif; ?> />
                                            </div>
                                        </div>
                                    </div>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            $('#myDropify').dropify();
            $("#AuthorForm").validate({
                rules: {
                    name: {
                        required: true,
                        minlength: 3
                    },
                    email: {
                        email: true,
                    },
                    display_order: {
                        required: true,
                    },
                    facultyImage: {
                        <?php if(isset($faculty)): ?>
                            required: false,
                        <?php else: ?>
                            required: true,
                        <?php endif; ?>
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(!isset($faculty)): ?>
                                    form.reset();
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>

                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dubaileadingtech.com/resources/views/admin/pages/site/faculty/create.blade.php ENDPATH**/ ?>