<?php $__env->startPush('styles'); ?>
    <link href="<?php echo e(asset('site1/assets/css/membership.css')); ?>" rel="stylesheet" />
    <?php if($service->seo_other != null): ?>
        <?php echo $service->seo_other; ?>

    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('seo_title'); ?>
    <?php echo e($service->seo_title); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('seo_description'); ?>
    <?php echo e($service->seo_description); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container">
        <a class="btn book-now" data-toggle="modal" data-target="#exampleModal" title="Quick Contact">Quick Contact</a>
    </div>

    <section class="text-center bg-parallax">
        <div class="bg-img"><img src="<?php echo e($service->getFirstMediaUrl('banner_image')); ?>" alt="background"></div>
        <div class="container">
            <div class="row">
                <div class="col-8 offset-2 custom-heading__wrapper">
                    <h1 class="pagetitle__heading mb-10"><?php echo e($service->title); ?></h1>
                    <p class="pagetitle__desc"><?php echo e($service->title_desc); ?>

                    </p>
                </div><!-- /.col-xl-6 -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.page-title -->

    <section id="about" class="about-layout1 bg-gray">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-6">
                    <div class="heading mb-10">
                        <h3 class="heading__title mb-10"><span
                                style="text-transform: lowercase !important"></span><?php echo e($service->short_title); ?></h3>
                    </div>
                    <div class="position-relative text-justify">
                        <br>
                        <p><?php echo $service->description; ?></p>
                    </div>

                    <a href="tel:<?php echo e($service->call_number); ?>" class="btn btn__secondary center-contact-button">
                        <span>Call us</span>
                    </a>
                </div>

                <div class="col-sm-12 col-md-12 col-lg-6 m-auto">
                    <div class="about__img mb-10 text-center">
                        <iframe class="iframe-video" src="<?php echo e($service->youtube_link); ?>">
                        </iframe>
                    </div>
                </div>

            </div>
        </div>
    </section>

    <?php if($service->has_brochure): ?>
        <section class="our-team-layout1 maccess-custom-outer">
            <div class="container custom-container">
                <div class="about__img mb-10 text-center maccess-flow-outer">
                    <img src="<?php echo e($service->brochure->getFirstMediaUrl('image')); ?>" alt="about">
                </div>
            </div>
            <div class="text-center mb-30">
                <a href="/service-brochure/<?php echo e($service->slug); ?>" class="btn btn__secondary">
                    <span>Get Brochure</span>
                </a>
            </div>
        </section>
    <?php endif; ?>

    <?php $__currentLoopData = $service->contents->sortBy('display_order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if($content->type == 1): ?>
            <section class="our-team-layout1">
                <div class="container">
                    <div class="heading mb-30">
                        <h3 class="heading__title mb-40" data-aos="fade-right" data-aos-duration="1000">
                            <?php echo e($content->heading); ?>

                        </h3>
                    </div>
                    <div class="row" style="justify-content: space-between">
                        <?php $__currentLoopData = $content->steps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $step): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($step->points->isNotEmpty()): ?>
                                <div class="col-sm-12 col-md-12 col-lg-4 custom-card-1 custom-card-2" data-aos="zoom-in"
                                    data-aos-duration="1000">
                                    <div class="team__desc team__desc-1">
                                        <img class="app-works-img-1" src="<?php echo e($step->getFirstMediaUrl('service_step')); ?>"
                                            alt="singnture" />
                                        <h4><?php echo e($step->title); ?></h4>
                                        <p>
                                            <?php echo e($step->description); ?>

                                        </p>
                                        <ul>
                                            <?php $__currentLoopData = $step->points; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $point): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><?php echo e($point->points); ?></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            <?php else: ?>
                                <div class="col-sm-12 col-md-12 col-lg-6  custom-card-1" data-aos="zoom-in"
                                    data-aos-duration="1000">
                                    <div class="team__desc">
                                        <img class="app-works-img-1" class="app-works-img class=" app-works-img-1"-1"
                                            src="<?php echo e($step->getFirstMediaUrl('service_step')); ?>" alt="singnture" />
                                        <br><br>
                                        <center>
                                            <h6><?php echo e($step->title); ?> </h6>
                                            <p>
                                                <?php echo e($step->description); ?>

                                            </p>
                                        </center>
                                    </div>
                                </div>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                        <a class="btn sticky-btn btn__primary btn__icon mt-30 center-contact-button">
                            <span>Contact Us</span>
                            <i class="icon-arrow-right"></i>
                        </a>
                    </div>
            </section>
        <?php elseif($content->type == 2): ?>
            <section class="our-team-layout1">
                <div class="container">
                    <div class="heading mb-30">
                        <h3 class="heading__title mb-40">
                            <?php echo e($content->heading); ?>

                        </h3>
                    </div>
                    <?php $__currentLoopData = $content->benefits->chunk(3); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefits): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="row team__group__2" style="justify-content: space-between">
                            <?php $__currentLoopData = $benefits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $benefit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-12 col-md-12 col-lg-4 d-flex custom-card-2" data-aos="zoom-in"
                                    data-aos-duration="1000">

                                    <div class="team__desc">
                                        <img src="<?php echo e($benefit->getFirstMediaUrl('benefit_icon')); ?>" alt="Icon" />
                                        <br><br>
                                        <h6><?php echo e($benefit->title); ?></h6>
                                        <p>
                                            <?php echo e($benefit->description); ?>

                                        </p>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </section>
        <?php elseif($content->type == 3): ?>
            <section class="about-layout1 bg-gray">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12 col-md-12 col-lg-6">
                            <div class="about__img mb-10">
                                <img src="<?php echo e($content->imageContent->getFirstMediaUrl('service_image_content')); ?>"
                                    alt="about">
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-12 col-lg-6">
                            <div class="heading mb-10">
                                <h3 class="heading__title mb-10"><?php echo e($content->imageContent->title); ?></h3>
                            </div>
                            <div class="position-relative">

                                <p><?php echo e($content->imageContent->description); ?></p>

                                <?php if($content->imageContent->contact_type == 'phone'): ?>
                                    <a href="tel:<?php echo e($content->imageContent->contact_value); ?>"
                                        class="btn btn__secondary center-contact-button">
                                        <span>Call us</span>
                                    </a>
                                <?php elseif($content->imageContent->contact_type == 'whatsapp'): ?>
                                    <a href="https://wa.me/<?php echo e($content->imageContent->contact_value); ?>" target="_blank"
                                        class="btn btn__primary btn__icon mt-20">
                                        <span>Whatsapp Us</span>
                                        <i class="icon-arrow-right"></i>
                                    </a>
                                <?php elseif($content->imageContent->contact_type == 'email'): ?>
                                    <a href="mailto:<?php echo e($content->imageContent->contact_value); ?>"
                                        class="btn btn__secondary center-contact-button">
                                        <span>Email Us</span>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php if($service->has_brochure): ?>
        <div class="text-center">
            <a href="/service-brochure/<?php echo e($service->slug); ?>"
                class="btn sticky-btn btn__primary btn__icon mt-30 center-contact-button mb-30">
                <span>Get A Quote</span>
                <i class="icon-arrow-right"></i>
            </a>
        </div>
    <?php endif; ?>
    <?php if($service->questionnaire_id != null): ?>
        <?php echo $__env->make('layouts.components.questionnaire_start', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
    <?php echo $__env->make('layouts.components.contact', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.site', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/site/pages/service.blade.php ENDPATH**/ ?>