<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Blog</a></li>
            <li class="breadcrumb-item active" aria-current="page">Category</li>
            <li class="breadcrumb-item active" aria-current="page">Edit Category</li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Edit Category</h4>
                            <form id="categoryForm">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="mb-3">
                                            <label for="name" class="form-label">Category Name</label>
                                            <input id="CategoryName" class="form-control" name="name"
                                                value="<?php echo e($category->name); ?>" type="text">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="mb-3">
                                            <label for="name" class="form-label">Category Slug</label>
                                            <input id="CategorySlug" class="form-control" name="slug"
                                                value="<?php echo e($category->slug); ?>" type="text">
                                        </div>
                                    </div>

                                </div>
                                <input class="btn btn-primary" type="submit" value="Submit">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            $("#categoryForm").validate({
                rules: {
                    name: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                        minlength: 3
                    },
                },
            });

            //creating slug for category
            $("#CategoryName").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#CategorySlug").val(Text);
            });

            //saving category

            $('#categoryForm').submit(function(e) {
                e.preventDefault();
                var name = $('input[name="name"]').val();
                var slug = $('input[name="slug"]').val();
                var id = '<?php echo e($category->id); ?>';
                $.ajax({
                    type: "put",
                    url: '/admin/blog/category/' + id,
                    data: {
                        name: name,
                        slug: slug,
                        _token: '<?php echo e(csrf_token()); ?>'
                    },
                    success: function(response) {
                        if (response) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'success',
                                title: 'Category updated successfully'
                            })
                        }

                    },
                    error: function(data) {
                        $('#errorMsg').empty();
                        $('#errorAlert').removeClass('d-none');

                        if (data.responseJSON['errors']) {

                            let err = data.responseJSON['errors'];

                            $.each(err, (i, j) => {
                                $(`input[name=${i}]`).after(
                                    `<span class="text-danger">${j}</span>`);
                            });

                        }

                    }
                });
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/blog/category/create.blade.php ENDPATH**/ ?>