<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Questionnaire</a></li>
            <li class="breadcrumb-item active" aria-current="page">Questions</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($question)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Question
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($question)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Questions
                            </h4>
                            <?php if(isset($question)): ?>
                                <form method="post" action="/admin/questionnaire/questions/<?php echo e($question->id); ?>" id="PostForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/questionnaire/questions" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-12">
                                                <div class="row">
                                                    <div class="col-lg-4">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Name</label>
                                                            <input class="form-control" name="name" id="name"
                                                                placeholder="Question Name"
                                                                value="<?php if(isset($question)): ?><?php echo e($question->name); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Category</label>
                                                            <select class="js-example-basic-single form-select"
                                                                data-width="100%" name="category" required>
                                                                <option></option>
                                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($category->id); ?>"
                                                                        <?php echo e(isset($question) && $category->id == $question->question_category_id ? 'selected' : ''); ?>>
                                                                        <?php echo e($category->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Slug</label>
                                                            <input class="form-control" name="slug" id="slug"
                                                                placeholder="Question Slug"
                                                                value="<?php if(isset($question)): ?><?php echo e($question->slug); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Question
                                                    Type</label>
                                                <div class="mb-4">
                                                    <div class="form-check form-check-inline">
                                                        <input type="radio" class="form-check-input" name="type"
                                                            value="1" id="radioInline"
                                                            <?php if(isset($question)): ?>
                                                            <?php if($question->type == 1): ?>
                                                                checked
                                                            <?php endif; ?>
                                                            <?php endif; ?>>
                                                        <label class="form-check-label" for="radioInline">
                                                            Single Choice (Select Box)
                                                        </label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input type="radio" class="form-check-input" name="type"
                                                            value="2" id="radioInline"
                                                            <?php if(isset($question)): ?>
                                                            <?php if($question->type == 2): ?>
                                                                checked
                                                            <?php endif; ?>
                                                            <?php endif; ?>>
                                                        <label class="form-check-label" for="radioInline1">
                                                            Mutiple Choice
                                                        </label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input type="radio" class="form-check-input" name="type"
                                                            value="3" id="radioInline"
                                                            <?php if(isset($question)): ?>
                                                            <?php if($question->type == 3): ?>
                                                                checked
                                                            <?php endif; ?>
                                                            <?php endif; ?>>
                                                        <label class="form-check-label" for="radioInlineSelected">
                                                            Boolean
                                                        </label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input type="radio" class="form-check-input" name="type"
                                                            value="4" id="radioInline"
                                                            <?php if(isset($question)): ?>
                                                                <?php if($question->type == 4): ?>
                                                                    checked
                                                                <?php endif; ?>
                                                            <?php endif; ?>>
                                                        <label class="form-check-label" for="radioInlineDisabled">
                                                            Text Box
                                                        </label>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-lg-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Question</label>
                                                <input class="form-control" name="question" id="question"
                                                    placeholder="Question"
                                                    value="<?php echo e(isset($question) ? $question->question : ''); ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row" id="optionButtons">
                                        <?php if(isset($question)): ?>
                                            <?php if($question->type == 1 || $question->type == 2): ?>
                                                <div class="col-lg-3">
                                                    <div class="mb-3">
                                                        <label for="name" class="form-label">Options Manage</label>
                                                        <button id="addOption" type="button" class="btn btn-info btn-sm"><i
                                                                data-feather="plus"></i></button>
                                                        <button id="removeOption" type="button"
                                                            class="btn btn-danger btn-sm"><i
                                                                data-feather="minus"></i></button>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>

                                    <div id="options">
                                        <?php if(isset($question)): ?>
                                            <?php if($question->type == 1): ?>
                                                <?php $__currentLoopData = $question->selectOptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="row selectOptions">
                                                        <div class="col-lg-3">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Name</label>
                                                                <input class="form-control" name="select_name[]"
                                                                    placeholder="Name" value="<?php echo e($option->name); ?>"
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-3">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Value</label>
                                                                <input class="form-control" name="select_option[]"
                                                                    placeholder="Option" value="<?php echo e($option->value); ?>"
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php elseif($question->type == 2): ?>
                                                <?php $__currentLoopData = $question->MultiSelectOptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="row selectOptions">
                                                        <div class="col-lg-3">
                                                            <div class="mb-3">
                                                                <input type="hidden" name="multi_option_id[]"
                                                                    value="<?php echo e($option->id); ?>">
                                                                <label for="name" class="form-label">Name</label>
                                                                <input class="form-control" name="select_name[]"
                                                                    placeholder="Name" value="<?php echo e($option->name); ?>"
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-3">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Value</label>
                                                                <input class="form-control" name="select_option[]"
                                                                    placeholder="Option" value="<?php echo e($option->value); ?>"
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-3">
                                                            <div class="mb-3">
                                                                <label class="form-label" for="formFile">Icon</label>
                                                                <input class="form-control" name="icon[]" type="file"
                                                                    id="formFile">

                                                            </div>
                                                        </div>
                                                        <?php if($option->hasMedia('icon')): ?>
                                                            <div class="col-lg-3">
                                                                <div class="mb-3">
                                                                    <br>
                                                                    <label class="form-label" for="formFile">Previous
                                                                        Icon</label>
                                                                    <img class="img-fluid"
                                                                        src="<?php echo e($option->getFirstMediaUrl('icon')); ?>"
                                                                        alt="icon" width="40px" height="40px;">
                                                                </div>
                                                            </div>
                                                        <?php endif; ?>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php elseif($question->type == 4): ?>
                                                <div class="row selectOptions">
                                                    <div class="col-lg-3">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Name</label>
                                                            <input class="form-control" name="text_name"
                                                                value="<?php echo e($question->textOption->name); ?>" placeholder="Name"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-3">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Placeholder</label>
                                                            <input class="form-control" name="placeholder"
                                                                value="<?php echo e($question->textOption->placeholder); ?>"
                                                                placeholder="placeholder" type="text">
                                                        </div>
                                                    </div>

                                                </div>
                                            <?php endif; ?>
                                        <?php endif; ?>

                                    </div>

                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            //creating slug for question
            $("#name").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#slug").val(Text);
            });
            let type = $("input[name='type']:checked").val();
            $("input[name='type']").change(function() {
                let newType = $(this).val();
                if (newType == type) {
                    return;
                } else {
                    type = newType;
                    $("#options").html("");
                    removeButtons();
                    if (type == 1) {
                        var html = `<div class="row selectOptions">
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" name="select_name[]" placeholder="Name"
                                            type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Value</label>
                                        <input class="form-control" name="select_option[]"
                                            placeholder="Option" type="text">
                                    </div>
                                </div>
                            </div>`;
                        addButtons();
                    } else if (type == 2) {
                        var html = `<div class="row selectOptions">
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" name="select_name[]" placeholder="Name"
                                            type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Value</label>
                                        <input class="form-control" name="select_option[]"
                                            placeholder="Option" type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label class="form-label" for="formFile">Icon</label>
                                        <input class="form-control" name="icon[]" type="file"
                                            id="formFile">
                                    </div>
                                </div>
                            </div>`;
                        addButtons();
                    } else if (type == 3) {
                        // var html = `<div class="col-lg-3">
                    //             <div class="mb-3">
                    //                 <label class="form-label">Input Value</label>
                    //                 <input class="form-control" name="inputValue" type="text">
                    //             </div>
                    //         </div>`;
                        removeButtons();
                    } else if (type == 4) {
                        var html = `<div class="row selectOptions">
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" name="text_name" placeholder="Name"
                                            type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Placeholder</label>
                                        <input class="form-control" name="placeholder"
                                            placeholder="placeholder" type="text">
                                    </div>
                                </div>

                            </div>`;
                        removeButtons();
                    }

                    $("#options").append(html);
                }
            });
            $(document).on('click', '#addOption', function() {
                if (type == 1) {
                    var html = `<div class="row selectOptions">
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" name="select_name[]" placeholder="Name"
                                            type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Value</label>
                                        <input class="form-control" name="select_option[]"
                                            placeholder="Option" type="text">
                                    </div>
                                </div>
                            </div>`;
                } else if (type == 2) {
                    var html = `<div class="row selectOptions">
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Name</label>
                                        <input class="form-control" name="select_name[]" placeholder="Name"
                                            type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label for="name" class="form-label">Value</label>
                                        <input class="form-control" name="select_option[]"
                                            placeholder="Option" type="text">
                                    </div>
                                </div>
                                <div class="col-lg-3">
                                    <div class="mb-3">
                                        <label class="form-label" for="formFile">Icon</label>
                                        <input class="form-control" name="icon[]" type="file"
                                            id="formFile">
                                    </div>
                                </div>
                            </div>`;
                }

                $("#options").append(html);
            });

            $(document).on('click', '#removeOption', function() {
                $(".selectOptions").last().remove();
            });



            //select2
            if ($(".js-example-basic-single").length) {
                $(".js-example-basic-single").select2({
                    placeholder: "Choose a option",
                });
            }

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    name: {
                        required: true,
                        minlength: 3
                    },
                    category: {
                        required: true,
                    },
                    type: {
                        required: true,
                    },
                    question: {
                        required: true,
                    },
                    slug: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($question)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $(".js-example-basic-single").val('').trigger('change');
                                    removeButtons();
                                    $("#options").empty();
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });

        function addButtons() {
            var html = `<div class="col-lg-3">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Options Manage</label>
                                                <button id="addOption" type="button" class="btn btn-info btn-sm"><i
                                                        data-feather="plus"></i></button>
                                                <button id="removeOption" type="button" class="btn btn-danger btn-sm"><i
                                                        data-feather="minus"></i></button>
                                            </div>
                                        </div>`;
            $("#optionButtons").append(html);
            feather.replace();
        }

        function removeButtons() {
            $("#optionButtons").empty();
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/admin/pages/questionnaire/question/create.blade.php ENDPATH**/ ?>