<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Solutions</a></li>
            <li class="breadcrumb-item active" aria-current="page">Section</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($content)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Solutions Section
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($content)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Solutions Section
                            </h4>
                            <?php if(isset($content)): ?>
                                <form method="post" action="/admin/service-category/contents/<?php echo e($content->id); ?>"
                                    id="PostForm" enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/service-category/contents" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Name</label>
                                                    <input class="form-control" name="name" id="name"
                                                        placeholder="Solutions Section Name"
                                                        value="<?php if(isset($content)): ?><?php echo e($content->name); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Display Order</label>
                                                    <input class="form-control" required name="display_order" id="display_order"
                                                        placeholder="Solutions Section Display Order"
                                                        value="<?php if(isset($content)): ?><?php echo e($content->display_order); ?><?php endif; ?>"
                                                        type="number">
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Section Type
                                                    </label>
                                                    <select class="form-control js-example-basic-single" name="type"
                                                        id="type">
                                                        <option></option>
                                                        <option value="1"
                                                            <?php if(isset($content)): ?> <?php if($content->type == 1): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Main Section
                                                        </option>
                                                        <option value="2"
                                                            <?php if(isset($content)): ?> <?php if($content->type == 2): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Secondary Section
                                                        </option>
                                                        <option value="3"
                                                            <?php if(isset($content)): ?> <?php if($content->type == 3): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Product Section
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row" id="contents">
                                        <?php if(isset($content)): ?>
                                            <?php if($content->type == 1): ?>
                                                <div class="col-lg-12 contentCard">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            Main Section
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="col-lg-12">
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Section
                                                                        Title</label>
                                                                    <input class="form-control" name="section_title"
                                                                        placeholder=" Title"
                                                                        value="<?php echo e($content->mainSection->title); ?>"
                                                                        type="text">
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-12">
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Section
                                                                        Description</label>
                                                                    <textarea class="form-control" name="section_desc" placeholder=" Description"><?php echo e($content->mainSection->description); ?></textarea>
                                                                </div>
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-lg-6">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Section
                                                                            Image</label>
                                                                        <input class="form-control" name="section_image"
                                                                            type="file" id="formFile">
                                                                    </div>
                                                                    <?php if($content->mainSection->hasMedia('service_category_section_image')): ?>
                                                                        <div class="col-lg-3">
                                                                            <div class="mb-3">
                                                                                <br>
                                                                                <label class="form-label"
                                                                                    for="formFile">Previous
                                                                                    Image</label>
                                                                                <img class="img-fluid"
                                                                                    src="<?php echo e($content->mainSection->getFirstMediaUrl('service_category_section_image')); ?>"
                                                                                    alt="icon" width="40px"
                                                                                    height="40px;">
                                                                            </div>
                                                                        </div>
                                                                    <?php endif; ?>
                                                                </div>
                                                                <div class="col-lg-6">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Section
                                                                            Brand Logo</label>
                                                                        <input class="form-control" name="section_logo_image"
                                                                            type="file" id="formFile">
                                                                    </div>
                                                                    <?php if($content->mainSection->hasMedia('service_category_brand_logo')): ?>
                                                                        <div class="col-lg-3">
                                                                            <div class="mb-3">
                                                                                <br>
                                                                                <label class="form-label"
                                                                                    for="formFile">Previous
                                                                                    Image</label>
                                                                                <img class="img-fluid"
                                                                                    src="<?php echo e($content->mainSection->getFirstMediaUrl('service_category_brand_logo')); ?>"
                                                                                    alt="icon" width="40px"
                                                                                    height="40px;">
                                                                            </div>
                                                                        </div>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Contact
                                                                            Type</label>
                                                                        <select class="form-control" name="contact_type">
                                                                            <option value="contact"
                                                                                <?php echo e(isset($content) ? ($content->mainSection->contact_type == 'contact' ? 'selected' : '') : ''); ?>>
                                                                                Contact Us</option>
                                                                            <option value="visit"
                                                                                <?php echo e(isset($content) ? ($content->mainSection->contact_type == 'visit' ? 'selected' : '') : ''); ?>>
                                                                                Visit Url</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">
                                                                            Button Text</label>
                                                                            <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_button_text"
                                                                            value="<?php echo e($content->mainSection->button_text); ?>"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Contact
                                                                        </label>
                                                                        <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_value"
                                                                            value="<?php echo e($content->mainSection->contact_value); ?>"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php elseif($content->type == 2): ?>
                                                <div class="col-lg-12 contentCard">
                                                    <div class="card">
                                                        <div class="card-header">
                                                            Secondary Section
                                                        </div>
                                                        <div class="card-body">
                                                            <div class="col-lg-12">
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Section
                                                                        Title</label>
                                                                    <input class="form-control" name="section_title"
                                                                        placeholder=" Title"
                                                                        value="<?php echo e($content->secondarySection->title); ?>"
                                                                        type="text">
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-12">
                                                                <div class="mb-3">
                                                                    <label for="name" class="form-label">Section
                                                                        Description</label>
                                                                    <textarea class="form-control" name="section_desc" placeholder=" Description" value=""><?php echo e($content->secondarySection->description); ?></textarea>
                                                                </div>
                                                            </div>

                                                            <div class="col-lg-12">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Section
                                                                        Image</label>
                                                                    <input class="form-control" name="section_image"
                                                                        type="file" id="formFile">
                                                                </div>
                                                                <?php if($content->secondarySection->hasMedia('service_category_section_image')): ?>
                                                                    <div class="col-lg-3">
                                                                        <div class="mb-3">
                                                                            <br>
                                                                            <label class="form-label" for="formFile">Previous
                                                                                Image</label>
                                                                            <img class="img-fluid"
                                                                                src="<?php echo e($content->secondarySection->getFirstMediaUrl('service_category_section_image')); ?>"
                                                                                alt="icon" width="40px" height="40px;">
                                                                        </div>
                                                                    </div>
                                                                <?php endif; ?>
                                                            </div>

                                                            <div class="row">
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Contact
                                                                            Type</label>
                                                                        <select class="form-control" name="contact_type">
                                                                            <option value="contact"
                                                                                <?php echo e(isset($content) ? ($content->secondarySection->contact_type == 'contact' ? 'selected' : '') : ''); ?>>
                                                                                Contact Us</option>
                                                                            <option value="visit"
                                                                                <?php echo e(isset($content) ? ($content->secondarySection->contact_type == 'visit' ? 'selected' : '') : ''); ?>>
                                                                                Visit Url</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">
                                                                            Button Text</label>
                                                                            <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_button_text"
                                                                            value="<?php echo e($content->secondarySection->button_text); ?>"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Contact
                                                                        </label>
                                                                        <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_value"
                                                                            value="<?php echo e($content->secondarySection->contact_value); ?>"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php elseif($content->type == 3): ?>
                                                <div class="row">
                                                    <div class="col-lg-4">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Product Title</label>
                                                            <input class="form-control" name="product_title"
                                                                id="product_title" placeholder="Product Title"
                                                                value="<?php echo e($content->title); ?>" type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Product Short
                                                                Description</label>
                                                            <input class="form-control" name="product_short_desc"
                                                                id="product_title" placeholder="Product Short Description"
                                                                value="<?php echo e($content->short_description); ?>" type="text">
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php $__currentLoopData = $content->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="col-lg-4 benefitsCard">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                Product <i style="float: right;" class="mdi mdi-plus"
                                                                    id="addBenefitCard"></i>
                                                            </div>
                                                            <div class="card-body">
                                                                <div class="col-lg-12">
                                                                    <div class="mb-3">
                                                                        <input type="hidden" name="product_id[]"
                                                                            value="<?php echo e($product->id); ?>">
                                                                        <label for="name" class="form-label">Product
                                                                            Name</label>
                                                                        <input class="form-control" name="product_name[]"
                                                                            placeholder="Product Name"
                                                                            value="<?php echo e($product->name); ?>" type="text">
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-12">
                                                                    <div class="mb-3">
                                                                        <label for="name" class="form-label">Product Link</label>
                                                                        <input class="form-control" name="product_link[]"
                                                                            placeholder="Product Link" value="<?php echo e($product->product_link); ?>"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-12">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">Product
                                                                            Image</label>
                                                                        <input class="form-control" name="product_image[]"
                                                                            type="file" id="formFile">
                                                                    </div>
                                                                    <?php if($product->hasMedia('service_category_product_image')): ?>
                                                                        <div class="col-lg-3">
                                                                            <div class="mb-3">
                                                                                <br>
                                                                                <label class="form-label"
                                                                                    for="formFile">Previous
                                                                                    Image</label>
                                                                                <img class="img-fluid"
                                                                                    src="<?php echo e($product->getFirstMediaUrl('service_category_product_image')); ?>"
                                                                                    alt="icon" width="40px"
                                                                                    height="40px;">
                                                                            </div>
                                                                        </div>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                    <br>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            //creating slug for question
            let type = $("select[name='type']").val();
            $("select[name='type']").change(function() {
                let newType = $(this).val();
                if (newType == type) {
                    return;
                } else {
                    type = newType;
                    $("#contents").html("");
                    if (type == 1) {
                        var html = `<div class="col-lg-12 contentCard">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Main Section
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Section
                                                                    Title</label>
                                                                <input class="form-control" name="section_title"
                                                                    placeholder=" Title" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Section
                                                                    Description</label>
                                                                <textarea class="form-control" name="section_desc" placeholder=" Description" value=""></textarea>
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Section
                                                                        Image</label>
                                                                    <input class="form-control" name="section_image"
                                                                        type="file" id="formFile">
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-6">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Section
                                                                        Brand Logo</label>
                                                                    <input class="form-control" name="section_logo_image"
                                                                        type="file" id="formFile">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-lg-4">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Contact
                                                                        Type</label>
                                                                    <select class="form-control" name="contact_type">
                                                                        <option value="contact">Contact Us</option>
                                                                        <option value="visit">Visit Url</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">
                                                                            Button Text</label>
                                                                            <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_button_text"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                            <div class="col-lg-4">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Contact
                                                                    </label>
                                                                    <input class="form-control"
                                                                        placeholder="use only for visit url"
                                                                        name="contact_value" type="text">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>`;
                    } else if (type == 2) {
                        var html = `<div class="col-lg-12 contentCard">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Secondary Section
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Section
                                                                    Title</label>
                                                                <input class="form-control" name="section_title"
                                                                    placeholder=" Title" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Section
                                                                    Description</label>
                                                                <textarea class="form-control" name="section_desc" placeholder=" Description" value=""></textarea>
                                                            </div>
                                                        </div>

                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label class="form-label" for="formFile">Section
                                                                    Image</label>
                                                                <input class="form-control" name="section_image"
                                                                    type="file" id="formFile">
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div class="col-lg-4">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Contact
                                                                        Type</label>
                                                                    <select class="form-control" name="contact_type">
                                                                        <option value="contact">Contact Us</option>
                                                                        <option value="visit">Visit Url</option>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                    <div class="mb-3">
                                                                        <label class="form-label" for="formFile">
                                                                            Button Text</label>
                                                                            <input class="form-control"
                                                                            placeholder="use only for visit url"
                                                                            name="contact_button_text"
                                                                            type="text">
                                                                    </div>
                                                                </div>
                                                            <div class="col-lg-4">
                                                                <div class="mb-3">
                                                                    <label class="form-label" for="formFile">Contact
                                                                    </label>
                                                                    <input class="form-control"
                                                                        placeholder="use only for visit url"
                                                                        name="contact_value" type="text">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>`;
                    } else if (type == 3) {
                        var html = `
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="mb-3">
                                    <label for="name" class="form-label">Product Title</label>
                                    <input class="form-control" name="product_title" id="product_title"
                                        placeholder="Product Title"
                                        value=""
                                        type="text">
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="mb-3">
                                    <label for="name" class="form-label">Product Short Description</label>
                                    <input class="form-control" name="product_short_desc" id="product_title"
                                        placeholder="Product Short Description"
                                        value=""
                                        type="text">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 benefitsCard">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Product <i style="float: right;"
                                                            class="mdi mdi-plus" id="addBenefitCard"></i>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Product Name</label>
                                                                <input class="form-control" name="product_name[]"
                                                                    placeholder="Product Name" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Product Link</label>
                                                                <input class="form-control" name="product_link[]"
                                                                    placeholder="Product Link" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label class="form-label" for="formFile">Product Image</label>
                                                                <input class="form-control" name="product_image[]"
                                                                    type="file" id="formFile">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>`;
                    }

                    $("#contents").append(html);
                }
            });
            $(document).on('click', '#addBenefitCard', function() {
                var html = `<div class="col-lg-4 benefitsCard">
                                                <div class="card">
                                                    <div class="card-header">
                                                        Product <i style="float: right;"
                                                            class="mdi mdi-close-circle removeBenefitsCard"></i>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Product Name</label>
                                                                <input class="form-control" name="product_name[]"
                                                                    placeholder="Product Name" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label for="name" class="form-label">Product Link</label>
                                                                <input class="form-control" name="product_link[]"
                                                                    placeholder="Product Link" value=""
                                                                    type="text">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="mb-3">
                                                                <label class="form-label" for="formFile">Product Image</label>
                                                                <input class="form-control" name="product_image[]"
                                                                    type="file" id="formFile">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>`;
                $("#contents").append(html);
            });

            $(document).on('click', '.removeBenefitsCard', function() {
                $(this).closest('.benefitsCard').remove();
            });


            //select2
            if ($(".js-example-basic-single").length) {
                $(".js-example-basic-single").select2({
                    placeholder: "Choose a option",
                    allowClear: true,
                });
            }

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    name: {
                        required: true,
                        minlength: 3
                    },
                    heading: {
                        required: true,
                    },
                    type: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($content)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $(".js-example-basic-single").val('').trigger('change');
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dubaileadingtech.com/resources/views/admin/pages/service-category/contents/create.blade.php ENDPATH**/ ?>