<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }

        iframe {
            height: 100vh
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Services</a></li>
            <li class="breadcrumb-item active" aria-current="page">Solutions</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($serviceCategory)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Solutions
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($serviceCategory)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Solutions
                            </h4>
                            <?php if(isset($serviceCategory)): ?>
                                <form method="post" action="/admin/service-category/category/<?php echo e($serviceCategory->id); ?>"
                                    id="PostForm" enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/service-category/category" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title</label>
                                                    <input class="form-control" name="title" id="title"
                                                        placeholder="Solutions Title"
                                                        value="<?php if(isset($serviceCategory)): ?><?php echo e($serviceCategory->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Slug</label>
                                                    <input class="form-control" name="slug" id="slug"
                                                        placeholder="Solutions Slug"
                                                        value="<?php if(isset($serviceCategory)): ?><?php echo e($serviceCategory->slug); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label class="form-label">Contents</label>
                                                    <select name="contents[]" required aria-placeholder="Select Contents"
                                                        class="js-example-basic-multiple form-select" multiple="multiple"
                                                        data-width="100%">
                                                        <?php $__currentLoopData = $contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($content->id); ?>"
                                                                <?php if(isset($serviceCategory)): ?>
                                                                <?php $__currentLoopData = $serviceCategory->contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <?php if($q->id == $content->id): ?>
                                                                        selected
                                                                    <?php endif; ?>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                <?php endif; ?>>
                                                                <?php echo e($content->name); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short Description</label>
                                                    <textarea id="maxlength-textarea" required name="short_desc" class="form-control" id="defaultconfig-4" rows="5"
                                                        placeholder="Enter Short Description"><?php echo e(isset($serviceCategory) ? $serviceCategory->short_desc : ''); ?></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Banner Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="bannerImage" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($serviceCategory)): ?> data-default-file="<?php echo e($serviceCategory->getFirstMediaUrl('banner_image')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>
                                            <div class="col-lg-2">
                                                <div>
                                                    <label for="name" class="form-label">Hide In Menu</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="hide_in_menu" type="checkbox" id="hide_in_menu"
                                                        <?php if(isset($serviceCategory)): ?> <?php echo e($serviceCategory->hide_in_menu == 1 ? 'checked' : ''); ?> <?php endif; ?> />

                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <br>
                                    <br>
                                    <div class="row">
                                        <h4 class="card-title"><u>SEO</u></h4>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Title</label>
                                                <input class="form-control" id="seo_title" required name="seo_title"
                                                    placeholder="Meta Title"
                                                    value="<?php if(isset($serviceCategory)): ?><?php echo e($serviceCategory->seo_title); ?><?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Description</label>
                                                <input class="form-control" name="seo_description" required
                                                    placeholder="Meta Description"
                                                    value="<?php if(isset($serviceCategory)): ?><?php echo e($serviceCategory->seo_description); ?><?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Other</label>
                                                <textarea id="maxlength-textarea" name="seo_other" class="form-control" id="defaultconfig-4" rows="5"
                                                    placeholder="Meta Other"><?php if(isset($serviceCategory)): ?><?php echo e($serviceCategory->seo_other); ?><?php endif; ?></textarea>
                                            </div>
                                        </div>

                                    </div>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if(isset($serviceCategory)): ?>
        <br>
        <div class="row">
            <div class="col-lg-12">
                <div class="d-flex justify-content-center">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Preview
                                </h4>
                                <iframe src="<?php echo e(url('/' . $serviceCategory->slug)); ?>" style="width: 100%"
                                    title="Iframe Example"></iframe>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            if ($(".js-example-basic-multiple").length) {
                $(".js-example-basic-multiple").select2({
                    placeholder: "Select Contents",
                    allowClear: true,
                });
            }
            $('#myDropify').dropify();
            //creating slug for question
            $("#title").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#slug").val(Text);
            });

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($serviceCategory)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $('.js-example-basic-multiple').val('').trigger(
                                        'change');
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/service-category/category/create.blade.php ENDPATH**/ ?>