<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }

        iframe {
            height: 100vh
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Media Center</a></li>
            <li class="breadcrumb-item active" aria-current="page">Newsletters</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($newsletter)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Newsletters
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($newsletter)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Newsletters
                            </h4>
                            <?php if(isset($newsletter)): ?>
                                <form method="post" action="/admin/media-center/newsletters/<?php echo e($newsletter->id); ?>"
                                    id="PostForm" enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/media-center/newsletters" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Newsletter Title</label>
                                                    <input class="form-control" name="title" id="title"
                                                        placeholder="Newsletter Title"
                                                        value="<?php if(isset($newsletter)): ?><?php echo e($newsletter->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Status</label>
                                                    <select name="status" id="status" class="form-control">
                                                        <option value="1"
                                                            <?php if(isset($newsletter)): ?> <?php if($newsletter->status == 1): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Active</option>
                                                        <option value="0"
                                                            <?php if(isset($newsletter)): ?> <?php if($newsletter->status == 0): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Inactive</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Newsletter Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="image" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($newsletter)): ?> data-default-file="<?php echo e($newsletter->getFirstMediaUrl('newsletter_cover')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Newsletter</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="newsletter" type="file" id="newsDropify"
                                                        data-allowed-file-extensions="pdf"
                                                        <?php if(isset($newsletter)): ?> data-default-file="<?php echo e($newsletter->getFirstMediaUrl('newsletter')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <br>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            $('#status').select2();
            $('#newsDropify').dropify();
            $('#myDropify').dropify();
            //creating slug for question
            $("#title").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#slug").val(Text);
            });

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                    },
                    short_title: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($newsletter)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $('#status').val('').trigger(
                                        'change');
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/admin/pages/site/newsletter/create.blade.php ENDPATH**/ ?>