<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Site</a></li>
            <li class="breadcrumb-item active" aria-current="page">Scripts</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($script)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Scripts
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($script)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Scripts
                            </h4>
                            <?php if(isset($script)): ?>
                                <form method="post" action="/admin/scripts/<?php echo e($script->id); ?>" id="AuthorForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/scripts" id="AuthorForm" enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Url (for all pages leave it
                                                    empty)</label>
                                                <select class="js-example-basic-single form-select" data-width="100%" id="url" <?php echo e(isset($script) ? ($script->for_all_pages ? 'disabled' : '' ): ''); ?>

                                                    name="url">
                                                    <option value="">Choose a URL</option>
                                                    <option value="home" <?php echo e(isset($script) ? ($script->url == 'home' ? 'selected' : '' ): ''); ?>>Home</option>
                                                    <option value="about-us" <?php echo e(isset($script) ? ($script->url == 'about-us' ? 'selected' : '' ): ''); ?>>About</option>
                                                    <option value="contact-us" <?php echo e(isset($script) ? ($script->url == 'contact-us' ? 'selected' : '' ): ''); ?>>Contact</option>
                                                    <option value="blog" <?php echo e(isset($script) ? ($script->url == 'blog' ? '/selected' : '' ): ''); ?>>Blog</option>
                                                    <option value="services" <?php echo e(isset($script) ? ($script->url == 'services' ? 'selected' : '' ): ''); ?>>Services</option>
                                                    <option value="service-category" <?php echo e(isset($script) ? ($script->url == 'service-category' ? 'selected' : '' ): ''); ?>>Service Category</option>
                                                    <option value="questionnaire" <?php echo e(isset($script) ? ($script->url == 'questionnaire' ? 'selected' : '' ): ''); ?>>Questionnaire</option>
                                                    <option value="thankyou" <?php echo e(isset($script) ? ($script->url == 'thankyou' ? 'selected' : '' ): ''); ?>>Thank You</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div>
                                                <label for="name" class="form-label">Script</label>
                                            </div>
                                            <div class="mb-3">
                                                <textarea id="maxlength-textarea" name="script" class="form-control" id="defaultconfig-4" rows="5"
                                                    placeholder="Enter Script"><?php echo e(isset($script) ? old('script', $script->script) : old('script')); ?></textarea>
                                            </div>
                                        </div>

                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Script Position</label>
                                                <select class="js-example-basic-single form-select" data-width="100%"
                                                    name="position" required>
                                                    <option value="header" <?php echo e(isset($script) ? ($script->position == 'header' ? 'selected' : '' ): 'selected'); ?>>Header</option>
                                                    <option value="body"  <?php echo e(isset($script) ? ($script->position == 'body' ? 'selected' : '' ): ''); ?>>Body</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="mb-3">
                                                <div class="form-check form-check-inline">
                                                    <input type="hidden" name="forAllPages" value="0">
                                                    <input type="checkbox" name="forAllPages" value="1" id="forAllPages"
                                                        class="form-check-input" <?php echo e(isset($script) ? ($script->for_all_pages ? 'checked' : '' ): ''); ?>>
                                                    <label class="form-check-label" for="checkInline1">
                                                        For All Pages
                                                    </label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input type="hidden" name="noIndex" value="0">
                                                    <input type="checkbox" name="noIndex" value="1" id="noIndex" <?php echo e(isset($script) ? ($script->for_all_pages ? 'disabled' : '' ): ''); ?>

                                                        class="form-check-input" <?php echo e(isset($script) ? ($script->no_index_no_follow ? 'checked' : '' ): ''); ?>>
                                                    <label class="form-check-label" for="checkInline1">
                                                        No Index, No Follow
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            $("#forAllPages").change(function (e) {
                e.preventDefault();
                if ($(this).is(':checked')) {
                    $('#url').val('').trigger('change');
                    $('#url').prop('disabled', true);
                    $('#noIndex').prop('checked', false);
                    $('#noIndex').prop('disabled', true);
                } else {
                    $('#url').prop('disabled', false);
                    $('#noIndex').prop('disabled', false);
                }
            });
            if ($(".js-example-basic-single").length) {
                $(".js-example-basic-single").select2();
            }
            $("#AuthorForm").validate({
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(!isset($script)): ?>
                                    form.reset();
                                    $('#url').val('').trigger('change');
                                <?php endif; ?>

                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            $(".text-danger").empty();
                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/admin/pages/site/scripts/create.blade.php ENDPATH**/ ?>