<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Site</a></li>
            <li class="breadcrumb-item active" aria-current="page">About Us</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($aboutus)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> About Us
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($aboutus)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> About Us
                            </h4>
                            <?php if(isset($aboutus)): ?>
                                <form method="post" action="/admin/aboutus/<?php echo e($aboutus->id); ?>" id="PostForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/aboutus" id="PostForm" enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title</label>
                                                    <input class="form-control" name="title" id="title"
                                                        placeholder="About Us Title"
                                                        value="<?php if(isset($aboutus)): ?><?php echo e($aboutus->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Description</label>
                                                    <textarea id="maxlength-textarea" required name="description" class="form-control" rows="9"
                                                        placeholder="Enter Description"><?php echo e(isset($aboutus) ? $aboutus->description : ''); ?></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">About Us Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="aboutImage" type="file" id="myDropify1"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($aboutus)): ?> data-default-file="<?php echo e($aboutus->getFirstMediaUrl('about-us-image')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>


                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short Description</label>
                                                    <textarea id="maxlength-textarea" required name="short_description" class="form-control" rows="5"
                                                        placeholder="Enter Short Description"><?php echo e(isset($aboutus) ? $aboutus->short_description : ''); ?></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Banner Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="bannerImage" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($aboutus)): ?> data-default-file="<?php echo e($aboutus->getFirstMediaUrl('banner-image')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                    <h5> Features </h5>
                                    <br>
                                    <?php if(isset($aboutus)): ?>
                                        <?php if($features->count() > 0): ?>
                                            <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row selectOptions">
                                                    <div class="col-lg-3">
                                                        <div class="mb-3">
                                                            <input type="hidden" name="feature_id[<?php echo e($key + 1); ?>]"
                                                                value="<?php echo e($feature->id); ?>">
                                                            <label for="name" class="form-label">Feature Title</label>
                                                            <input class="form-control" required
                                                                name="feature_title[<?php echo e($key + 1); ?>]"
                                                                value="<?php echo e($feature->title); ?>" placeholder="Feature Title"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-3">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Feature Description</label>
                                                            <textarea name="feature_description[<?php echo e($key + 1); ?>]" required class="form-control" rows="3"
                                                                placeholder="Enter Feature Description"><?php echo e($feature->description); ?></textarea>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-3">
                                                        <div class="mb-3">
                                                            <label class="form-label" for="formFile">Icon</label>
                                                            <input class="form-control" name="icon[<?php echo e($key + 1); ?>]"
                                                                type="file">
                                                        </div>
                                                        <img style="background-color: grey" src="<?php echo e($feature->getFirstMediaUrl('feature-icon')); ?>"
                                                            width="50" height="50" alt="">
                                                    </div>
                                                    <div class="col-lg-2">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Display Order</label>
                                                            <input class="form-control" required
                                                                name="feature_display_order[<?php echo e($key + 1); ?>]"
                                                                value="<?php echo e($feature->display_order); ?>"
                                                                placeholder="Display Order" type="number">
                                                        </div>
                                                    </div>
                                                    <?php if($key != 0): ?>
                                                        <div class="col-lg-1">
                                                            <div class="m-4">
                                                                <button type="button"
                                                                    class="btn btn-danger removeMore">-</button>
                                                            </div>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="col-lg-1">
                                                            <div class="m-4">
                                                                <button type="button"
                                                                    class="btn btn-primary addMore">+</button>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <div class="row selectOptions">
                                                <div class="col-lg-3">
                                                    <div class="mb-3">
                                                        <label for="name" class="form-label">Feature Title</label>
                                                        <input class="form-control" required name="feature_title[1]"
                                                            placeholder="Feature Title" type="text">
                                                    </div>
                                                </div>
                                                <div class="col-lg-3">
                                                    <div class="mb-3">
                                                        <label for="name" class="form-label">Feature Description</label>
                                                        <textarea name="feature_description[1]" required class="form-control" rows="3"
                                                            placeholder="Enter Feature Description"></textarea>
                                                    </div>
                                                </div>
                                                <div class="col-lg-3">
                                                    <div class="mb-3">
                                                        <label class="form-label" for="formFile">Icon</label>
                                                        <input class="form-control" name="icon[1]" type="file" required>
                                                    </div>
                                                </div>
                                                <div class="col-lg-2">
                                                    <div class="mb-3">
                                                        <label for="name" class="form-label">Display Order</label>
                                                        <input class="form-control" required name="feature_display_order[1]"
                                                            placeholder="Display Order" type="number">
                                                    </div>
                                                </div>
                                                
                                                <div class="col-lg-1">
                                                    <div class="m-4">
                                                        <button type="button" class="btn btn-primary addMore">+</button>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <div class="row selectOptions">
                                            <div class="col-lg-3">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Feature Title</label>
                                                    <input class="form-control" required name="feature_title[1]"
                                                        placeholder="Feature Title" type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-3">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Feature Description</label>
                                                    <textarea name="feature_description[1]" required class="form-control" rows="3"
                                                        placeholder="Enter Feature Description"></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-3">
                                                <div class="mb-3">
                                                    <label class="form-label" for="formFile">Icon</label>
                                                    <input class="form-control" name="icon[1]" type="file" required>
                                                </div>
                                            </div>
                                            <div class="col-lg-2">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Display Order</label>
                                                    <input class="form-control" required name="feature_display_order[1]"
                                                        placeholder="Display Order" type="number">
                                                </div>
                                            </div>
                                            
                                            <div class="col-lg-1">
                                                <div class="m-4">
                                                    <button type="button" class="btn btn-primary addMore">+</button>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endif; ?>

                                    <div id="addMore">

                                    </div>

                                    <br>
                                    <div class="row">
                                        <h4 class="card-title"><u>SEO</u></h4>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Title</label>
                                                <input class="form-control" id="seo_title" required name="seo_title"
                                                    placeholder="Meta Title"
                                                    value="<?php if(isset($homepage)): ?><?php echo e($homepage->seo_title); ?><?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Description</label>
                                                <input class="form-control" name="seo_description" required
                                                    placeholder="Meta Description"
                                                    value="<?php if(isset($homepage)): ?><?php echo e($homepage->seo_description); ?><?php endif; ?>"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Meta Other</label>
                                                <textarea id="maxlength-textarea" name="seo_other" class="form-control" id="defaultconfig-4" rows="5"
                                                    placeholder="Meta Other"><?php if(isset($homepage)): ?><?php echo e($homepage->seo_other); ?><?php endif; ?></textarea>
                                            </div>
                                        </div>

                                    </div>

                                    <br>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {

            $('#myDropify').dropify();
            $('#myDropify1').dropify();

            $(".addMore").click(function(e) {
                e.preventDefault();
                //how many elements we have
                var count = $(".selectOptions").length + 1;
                var html = `<div class="row selectOptions">
                                        <div class="col-lg-3">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Feature Title</label>
                                                <input class="form-control" name="feature_title[` + count + `]" required placeholder="Feature Title"
                                                    type="text">
                                            </div>
                                        </div>
                                        <div class="col-lg-3">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Feature Description</label>
                                                <textarea name="feature_description[` + count + `]" class="form-control" required rows="3"
                                                    placeholder="Enter Feature Description"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-lg-3">
                                            <div class="mb-3">
                                                <label class="form-label" for="formFile">Icon</label>
                                                <input class="form-control" required name="icon[` + count + `]" type="file">
                                            </div>
                                        </div>
                                        <div class="col-lg-2">
                                            <div class="mb-3">
                                                <label for="name" class="form-label">Display Order</label>
                                                <input class="form-control" required name="feature_display_order[` +
                    count + `]" placeholder="Display Order"
                                                    type="number">
                                            </div>
                                        </div>
                                        <div class="col-lg-1">
                                            <div class="m-4">
                                                <button type="button" class="btn btn-danger removeMore">-</button>
                                            </div>
                                        </div>
                                    </div>`;
                $("#addMore").append(html);

            });

            $(document).on('click', '.removeMore', function(e) {
                e.preventDefault();
                $(this).closest('.selectOptions').remove();
            });

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    description: {
                        required: true,
                    },

                    about_title: {
                        required: true,
                    },
                    about_description: {
                        required: true,
                    },
                    "point_title[]": {
                        required: true,
                    },
                    "point_description[]": {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($aboutus)): ?>
                                <?php else: ?>
                                    // form.reset();
                                    $(".dropify-clear").trigger("click");
                                    window.location.reload();
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/admin/pages/site/aboutus/create.blade.php ENDPATH**/ ?>