<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }

        iframe {
            height: 100vh
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Blog</a></li>
            <li class="breadcrumb-item active" aria-current="page">Post</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($post)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Post
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($post)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> post
                            </h4>
                            <?php if(isset($post)): ?>
                                <form method="post" action="/admin/blog/post/<?php echo e($post->id); ?>" id="PostForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/blog/post" id="PostForm" enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-8">
                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Category</label>
                                                            <select class="js-example-basic-single form-select"
                                                                data-width="100%" name="category" required>
                                                                <option></option>
                                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($category->id); ?>"
                                                                        <?php if(isset($post)): ?>
                                                                        <?php if($category->id == $post->category_id): ?>
                                                                            selected
                                                                        <?php endif; ?>
                                                                    <?php endif; ?>>
                                                                        <?php echo e($category->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Author</label>
                                                            <select class="js-example-basic-single form-select"
                                                                data-width="100%" name="author" required>
                                                                <option></option>
                                                                <?php $__currentLoopData = $authors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $author): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($author->id); ?>"
                                                                        <?php if(isset($post)): ?>
                                                                        <?php if($author->id == $post->author_id): ?>
                                                                            selected
                                                                        <?php endif; ?>
                                                                    <?php endif; ?>>
                                                                        <?php echo e($author->name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Title</label>
                                                            <input class="form-control" name="title" id="postTitle"
                                                                placeholder="Post Title"
                                                                value="<?php if(isset($post)): ?><?php echo e($post->title); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Slug</label>
                                                            <input class="form-control" name="slug" id="postSlug"
                                                                placeholder="Post Slug"
                                                                value="<?php if(isset($post)): ?><?php echo e($post->slug); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="row">
                                                    <div class="col-lg-12">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Short
                                                                Description</label>
                                                            <textarea id="maxlength-textarea" name="short_description" class="form-control" id="defaultconfig-4" rows="5"
                                                                placeholder="Enter Short Description">
                                                                <?php if(isset($post)): ?>
<?php echo e($post->short_description); ?>

<?php endif; ?>
                                                                </textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Read Time</label>
                                                    <input class="form-control" name="read_time" placeholder="Read Time"
                                                        value="<?php if(isset($post)): ?><?php echo e($post->read_time); ?><?php endif; ?>"
                                                        type="number">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Post Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="postImage" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($post)): ?> data-default-file="<?php echo e($post->getFirstMediaUrl('post')); ?>" <?php endif; ?> />
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label class="form-label">Questionnaire</label>
                                                    <select name="questionnaire" aria-placeholder="Select Questionnaire"
                                                        class="js-example-basic-single form-select" data-width="100%">
                                                        <option value="">Select Questionnaire</option>
                                                        <?php $__currentLoopData = $questionnaires; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $questionnaire): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($questionnaire->id); ?>"
                                                                <?php echo e(isset($post) ? ($post->questionnaire_id == $questionnaire->id ? 'selected' : '') : ''); ?>>
                                                                <?php echo e($questionnaire->title); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-4">
                                                <label for="name" class="form-label">Status</label>
                                                <select required name="status"
                                                    class="js-example-basic-single form-select" data-width="100%">
                                                    <option value="">Select Status</option>
                                                    <option value="draft"
                                                        <?php echo e(isset($post) ? ($post->status == 'draft' ? 'selected' : '') : ''); ?>>
                                                        Draft</option>
                                                    <option value="published"
                                                        <?php echo e(isset($post) ? ($post->status == 'published' ? 'selected' : '') : ''); ?>>
                                                        Published</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <h4 class="card-title"><u>Blog Content</u></h4>
                                            <p>Use <strong>h3</strong>(heading3) for heading and for adding recent articles
                                                in between
                                                blog add below
                                                code to editor at desired position,
                                                <code>
                                                    &lt;p&gt;recent-articles-here&lt;/p&gt;
                                                </code>
                                            </p>
                                            <div class="col-md-12 mb-3">
                                                <textarea class="form-control" name="content" id="tinymceExample" rows="10">
                                                    <?php if(isset($post)): ?>
<?php echo $post->content; ?>

<?php endif; ?>
                                                </textarea>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <h4 class="card-title"><u>SEO</u></h4>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Title</label>
                                                    <input class="form-control" id="seo_title" name="seo_title"
                                                        placeholder="Meta Title"
                                                        value="<?php if(isset($post)): ?><?php echo e($post->seo_title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Description</label>
                                                    <input class="form-control" name="seo_description"
                                                        placeholder="Meta Description"
                                                        value="<?php if(isset($post)): ?><?php echo e($post->seo_description); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Other</label>
                                                    <textarea id="maxlength-textarea" name="seo_other" class="form-control" rows="5"
                                                        placeholder="Meta Other"><?php if(isset($service)): ?><?php echo e($service->seo_other); ?><?php endif; ?></textarea>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if(isset($post)): ?>
        <br>
        <div class="row">
            <div class="col-lg-12">
                <div class="d-flex justify-content-center">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Preview
                                </h4>
                                <iframe src="<?php echo e(url('/' . $post->slug)); ?>" style="width: 100%"
                                    title="Iframe Example"></iframe>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/tinymce/tinymce.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            //creating slug for post
            $("#postTitle").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#seo_title").val(Text);
                $("#postSlug").val(Text);
            });

            //select2
            if ($(".js-example-basic-single").length) {
                $(".js-example-basic-single").select2({
                    placeholder: "Choose a option",
                });
            }
            //Tinymce editor
            if ($("#tinymceExample").length) {
                tinymce.init({
                    selector: '#tinymceExample',
                    height: 400,
                    default_text_color: 'red',
                    plugins: [
                        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
                        'searchreplace wordcount visualblocks visualchars code fullscreen',
                    ],
                    toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
                    toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
                    image_advtab: true,
                    templates: [{
                            title: 'Test template 1',
                            content: 'Test 1'
                        },
                        {
                            title: 'Test template 2',
                            content: 'Test 2'
                        }
                    ],
                    content_css: []
                });
            }
            $('#myDropify').dropify();
            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                        minlength: 3
                    },
                    category: {
                        required: true,
                    },
                    author: {
                        required: true,
                    },
                    seo_title: {
                        required: true,
                        minlength: 3
                    },
                    seo_description: {
                        required: true,
                        minlength: 3
                    },
                    content: {
                        required: true,
                        minlength: 3
                    },
                    postImage: {
                        required: <?php if(isset($post)): ?>
                            false
                        <?php else: ?>
                            true
                        <?php endif; ?> ,
                    },
                    read_time: {
                        required: true,
                    },
                    short_description: {
                        required: true,
                        minlength: 3
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($post)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $('.js-example-basic-single').val('').trigger(
                                        'change');
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/blog/posts/create.blade.php ENDPATH**/ ?>