<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Footer Links</a></li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($footerLink)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Footer Links
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($footerLink)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Footer Links
                            </h4>
                            <?php if(isset($footerLink)): ?>
                                <form method="post" action="/admin/footer-links/<?php echo e($footerLink->id); ?>" id="PostForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/footer-links" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Name</label>
                                                    <input class="form-control" name="name" id="name"
                                                        placeholder="Footer Link Name"
                                                        value="<?php if(isset($footerLink)): ?><?php echo e($footerLink->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Display Order</label>
                                                    <input class="form-control" required name="display_order"
                                                        id="display_order" placeholder="Footer Link Display Order"
                                                        value="<?php if(isset($footerLink)): ?><?php echo e($footerLink->display_order); ?><?php endif; ?>"
                                                        type="number">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="row" id="contents">
                                            <?php if(isset($footerLink)): ?>
                                                <?php $__currentLoopData = json_decode($footerLink->links); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="row mb-2">
                                                        <div class="col-md-4">
                                                            <label for="name" class="form-label">Link Name</label>
                                                            <input class="form-control" required name="link_name[]"
                                                                id="link_name" placeholder="Link Name"
                                                                value="<?php echo e($link->name); ?>" type="text">
                                                        </div>
                                                        <div class="col-md-4">
                                                            <label for="name" class="form-label">Link</label>
                                                            <input class="form-control" required name="link[]"
                                                                 placeholder="Link"
                                                                value="<?php echo e($link->url); ?>" type="text">
                                                        </div>
                                                        <div class="col-lg-4">
                                                            <?php if($key == 0): ?>
                                                                <button type="button" class="btn btn-inverse-primary addLink"
                                                                    style="margin-top: 28px;">Add</button>
                                                            <?php else: ?>
                                                                <button type="button" class="btn btn-inverse-danger removeLink"
                                                                    style="margin-top: 28px;">Remove</button>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <div class="row mb-2">
                                                    <div class="col-md-4">
                                                        <label for="name" class="form-label">Link Name</label>
                                                        <input class="form-control" required name="link_name[]" id="link_name"
                                                            placeholder="Link Name" value="" type="text">
                                                    </div>
                                                    <div class="col-md-4">
                                                        <label for="name" class="form-label">Link</label>
                                                        <input class="form-control" required name="link[]"
                                                                placeholder="Link" type="text">
                                                    </div>
                                                    <div class="col-lg-4">
                                                        <button type="button" class="btn btn-inverse-primary addLink"
                                                            style="margin-top: 28px;">Add</button>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <br>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            //creating slug for question
            $(document).on('click', '.addLink', function() {
                var html = `<div class="row mb-2 extraRow">
                                                <div class="col-md-4">
                                                    <label for="name" class="form-label">Link Name</label>
                                                    <input class="form-control" required name="link_name[]" id="link_name"
                                                        placeholder="Link Name" value="" type="text">
                                                </div>
                                                <div class="col-md-4">
                                                    <label for="name" class="form-label">Link</label>
                                                    <input class="form-control" required name="link[]"
                                                        placeholder="Link" type="text">
                                                </div>
                                                <div class="col-lg-4">
                                                    <button type="button"
                                                        class="btn btn-inverse-danger removeLink"
                                                        style="margin-top: 28px;">Remove</button>
                                                </div>
                                            </div>`;
                $("#contents").append(html);
            });

            $(document).on('click', '.removeLink', function() {
                $(this).closest('.extraRow').remove();
            });

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    name: {
                        required: true,
                        minlength: 3
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($footerLink)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $(".js-example-basic-single").val('').trigger('change');
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/site/footer-links/create.blade.php ENDPATH**/ ?>