<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Questionnaire</a></li>
            <li class="breadcrumb-item active" aria-current="page">Questionnaire</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($questionnaire)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Questionnaire
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($questionnaire)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Questionnaire
                            </h4>
                            <?php if(isset($questionnaire)): ?>
                                <form method="post" action="/admin/questionnaire/questionnaire/<?php echo e($questionnaire->id); ?>"
                                    id="PostForm" enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/questionnaire/questionnaire" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-8">

                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Title</label>
                                                            <input class="form-control" name="title" id="postTitle"
                                                                placeholder="Questionnaire Title"
                                                                value="<?php if(isset($questionnaire)): ?><?php echo e($questionnaire->title); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Slug</label>
                                                            <input class="form-control" name="slug" id="postSlug"
                                                                placeholder="Questionnaire Slug"
                                                                value="<?php if(isset($questionnaire)): ?><?php echo e($questionnaire->slug); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">Short
                                                                Description</label>
                                                            <input class="form-control" name="short_description"
                                                                id="ShortDescription" placeholder="Short Description"
                                                                value="<?php if(isset($questionnaire)): ?><?php echo e($questionnaire->short_description); ?><?php endif; ?>"
                                                                type="text">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="mb-3">
                                                            <label class="form-label">Questions</label>
                                                            <select name="questions[]" aria-placeholder="Select Questions"
                                                                class="js-example-basic-multiple form-select"
                                                                multiple="multiple" data-width="100%">
                                                                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($question->id); ?>"
                                                                        <?php if(isset($questionnaire)): ?>
                                                                            <?php $__currentLoopData = $questionnaire->questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <?php if($q->id == $question->id): ?>
                                                                                    selected
                                                                                <?php endif; ?>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php endif; ?>>
                                                                        <?php echo e($question->name); ?>

                                                                    </option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="row">
                                                    <div class="col-lg-12">
                                                        <div class="mb-3">
                                                            <label for="name" class="form-label">
                                                                Description</label>
                                                            <textarea id="maxlength-textarea" name="description" class="form-control" id="defaultconfig-4" rows="5"
                                                                placeholder="Enter Description"><?php echo e(isset($questionnaire) ? $questionnaire->description : ''); ?>

                                                            </textarea>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            //creating slug for post
            $("#postTitle").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#seo_title").val(Text);
                $("#postSlug").val(Text);
            });

            //select2
            if ($(".js-example-basic-multiple").length) {
                $(".js-example-basic-multiple").select2({
                    placeholder: "Select Questions",
                    allowClear: true,
                });
            }
            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                        minlength: 3
                    },
                    short_description: {
                        required: true,
                    },
                    description: {
                        required: true,
                    },
                    questions: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($questionnaire)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $(".js-example-basic-multiple").val('').trigger(
                                        "change");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/maccess/public_html/dltstaging/resources/views/admin/pages/questionnaire/questionnaire/create.blade.php ENDPATH**/ ?>