<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }

        iframe {
            height: 100vh
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Media Center</a></li>
            <li class="breadcrumb-item active" aria-current="page">Press Release</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($pressRelease)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Press Release
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($pressRelease)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Press Release
                            </h4>
                            <?php if(isset($pressRelease)): ?>
                                <form method="post" action="/admin/media-center/press-releases/<?php echo e($pressRelease->id); ?>"
                                    id="PostForm" enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/media-center/press-releases" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title</label>
                                                    <input class="form-control" name="title" id="title"
                                                        placeholder="Press Release Title"
                                                        value="<?php if(isset($pressRelease)): ?><?php echo e($pressRelease->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Slug</label>
                                                    <input class="form-control" name="slug" id="slug"
                                                        placeholder="Press Release Slug"
                                                        value="<?php if(isset($pressRelease)): ?><?php echo e($pressRelease->slug); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short Title</label>
                                                    <input class="form-control" name="short_title" id="short_title"
                                                        placeholder="Press Release Short Title"
                                                        value="<?php if(isset($pressRelease)): ?><?php echo e($pressRelease->short_title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short
                                                        Description</label>
                                                    <input class="form-control" name="short_description"
                                                        id="short_description" placeholder="Title Description" required
                                                        value="<?php if(isset($pressRelease)): ?><?php echo e($pressRelease->short_description); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Date</label>
                                                    <input class="form-control" name="date" id="date"
                                                        placeholder="Press Release Date" required
                                                        value="<?php if(isset($pressRelease)): ?><?php echo e($pressRelease->date); ?><?php endif; ?>"
                                                        type="date">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="image" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($pressRelease)): ?> data-default-file="<?php echo e($pressRelease->getFirstMediaUrl('press_release')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>


                                        </div>
                                    </div>
                                    <div class="row">
                                        <label for="name" class="form-label">Press Content</label>
                                        <div class="col-md-12 mb-3">
                                            <textarea class="form-control" name="description" id="tinymceExample" rows="10">
                                                <?php if(isset($pressRelease)): ?>
<?php echo $pressRelease->description; ?>

<?php endif; ?>
                                            </textarea>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Editors's Notes</label>
                                                    <textarea id="maxlength-textarea" name="editor_notes" required class="form-control" id="defaultconfig-4"
                                                        rows="5" placeholder="Enter Editors's Notes"><?php echo e(isset($pressRelease) ? $pressRelease->editor_notes : ''); ?></textarea>
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Tags</label>
                                                    <select name="tags[]" id="tags" class="form-control"
                                                        multiple="multiple">
                                                        <?php if(isset($pressRelease)): ?>
                                                            <?php $__currentLoopData = explode(',',$pressRelease->tags); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($tag); ?>"
                                                                    selected><?php echo e($tag); ?></option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Status</label>
                                                    <select name="status" id="status" class="form-control">
                                                        <option value="1"
                                                            <?php if(isset($pressRelease)): ?> <?php if($pressRelease->status == 1): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Active</option>
                                                        <option value="0"
                                                            <?php if(isset($pressRelease)): ?> <?php if($pressRelease->status == 0): ?> selected <?php endif; ?> <?php endif; ?>>
                                                            Inactive</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <br>
                                    <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/tinymce/tinymce.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            if ($("#tinymceExample").length) {
                tinymce.init({
                    selector: '#tinymceExample',
                    height: 400,
                    default_text_color: 'red',
                    plugins: [
                        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
                        'searchreplace wordcount visualblocks visualchars code fullscreen',
                    ],
                    toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
                    toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
                    image_advtab: true,
                    templates: [{
                            title: 'Test template 1',
                            content: 'Test 1'
                        },
                        {
                            title: 'Test template 2',
                            content: 'Test 2'
                        }
                    ],
                    content_css: []
                });
            }
            $('#status').select2();
            $('#tags').select2({
                tags: true,
                tokenSeparators: [',', ' '],
                createTag: function(params) {
                    var term = $.trim(params.term);

                    if (term === '') {
                        return null;
                    }

                    return {
                        id: term,
                        text: term,
                        newTag: true
                    }
                }
            });
            $('#myDropify').dropify();
            //creating slug for question
            $("#title").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#slug").val(Text);
            });

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                    },
                    short_title: {
                        required: true,
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($pressRelease)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $('#status').val('').trigger(
                                        'change');
                                    $('#tags').val('').trigger(
                                        'change');
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/site/press-releases/create.blade.php ENDPATH**/ ?>