<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <meta name="title" content="<?php echo $__env->yieldContent('seo_title', 'Dubai Leading Technology'); ?>">
    <meta name="description" content="<?php echo $__env->yieldContent('seo_description', 'Dubai Leading Technology'); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link href="<?php echo e(asset('site1/assets/images/favicon/favicon.png')); ?>" rel="icon">
    <link rel="canonical" href="<?php echo e(url()->current()); ?>" />
    <meta name="robots" content="<?php echo e(route_has_noindex_nofollow()); ?>">
    <title>Dubai Leading Technology</title>
    <?php $__currentLoopData = getAllPageScriptHeader(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $script): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo $script->script; ?>

    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php if(getRouteScriptHeader()): ?>
        <?php echo getRouteScriptHeader()->script; ?>

    <?php endif; ?>
    <?php echo $__env->make('layouts.partials.styles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>

<body>
    <?php $__currentLoopData = getAllPageScriptBody(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $script): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo $script->script; ?>

    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php if(getRouteScriptBody()): ?>
        <?php echo getRouteScriptBody()->script; ?>

    <?php endif; ?>
    <!-- Google Tag Manager (noscript) -->
    <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-PB9DGRD" height="0" width="0"
            style="display:none;visibility:hidden"></iframe></noscript>
    <!-- End Google Tag Manager (noscript) -->
    <div class="wrapper">

        <a href="tel:<?php echo e($widget->contact_number); ?>" class="phone-action">
            <i class="fa fa-phone action-icon"></i>
        </a>

        <a href="https://api.whatsapp.com/send?phone=<?php echo e($widget->whatsapp_number); ?>&text=Hi,I would like to know more about DLT products" target="_blank" class="whatsapp-action">
            <svg class="action-icon" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="26px"
                viewBox="0 0 24 24" width="24px" fill="#ffffff">
                <g>
                    <rect fill="none" height="24" width="24" y="0" />
                </g>
                <g>
                    <g>
                        <g>
                            <path
                                d="M19.05,4.91C17.18,3.03,14.69,2,12.04,2c-5.46,0-9.91,4.45-9.91,9.91c0,1.75,0.46,3.45,1.32,4.95L2.05,22l5.25-1.38 c1.45,0.79,3.08,1.21,4.74,1.21h0c0,0,0,0,0,0c5.46,0,9.91-4.45,9.91-9.91C21.95,9.27,20.92,6.78,19.05,4.91z M12.04,20.15 L12.04,20.15c-1.48,0-2.93-0.4-4.2-1.15l-0.3-0.18l-3.12,0.82l0.83-3.04l-0.2-0.31c-0.82-1.31-1.26-2.83-1.26-4.38 c0-4.54,3.7-8.24,8.24-8.24c2.2,0,4.27,0.86,5.82,2.42c1.56,1.56,2.41,3.63,2.41,5.83C20.28,16.46,16.58,20.15,12.04,20.15z M16.56,13.99c-0.25-0.12-1.47-0.72-1.69-0.81c-0.23-0.08-0.39-0.12-0.56,0.12c-0.17,0.25-0.64,0.81-0.78,0.97 c-0.14,0.17-0.29,0.19-0.54,0.06c-0.25-0.12-1.05-0.39-1.99-1.23c-0.74-0.66-1.23-1.47-1.38-1.72c-0.14-0.25-0.02-0.38,0.11-0.51 c0.11-0.11,0.25-0.29,0.37-0.43c0.12-0.14,0.17-0.25,0.25-0.41c0.08-0.17,0.04-0.31-0.02-0.43c-0.06-0.12-0.56-1.34-0.76-1.84 c-0.2-0.48-0.41-0.42-0.56-0.43C8.86,7.33,8.7,7.33,8.53,7.33c-0.17,0-0.43,0.06-0.66,0.31C7.65,7.89,7.01,8.49,7.01,9.71 c0,1.22,0.89,2.4,1.01,2.56c0.12,0.17,1.75,2.67,4.23,3.74c0.59,0.26,1.05,0.41,1.41,0.52c0.59,0.19,1.13,0.16,1.56,0.1 c0.48-0.07,1.47-0.6,1.67-1.18c0.21-0.58,0.21-1.07,0.14-1.18S16.81,14.11,16.56,13.99z" />
                        </g>
                    </g>
                </g>
            </svg>
        </a>

        <div class="modal fade" id="contactModal" tabindex="-1" role="dialog" aria-labelledby="contactModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <svg id="successAnimation" class="animated" xmlns="http://www.w3.org/2000/svg" width="70"
                            height="70" viewBox="0 0 70 70">
                            <path id="successAnimationResult" fill="#D8D8D8"
                                d="M35,60 C21.1928813,60 10,48.8071187 10,35 C10,21.1928813 21.1928813,10 35,10 C48.8071187,10 60,21.1928813 60,35 C60,48.8071187 48.8071187,60 35,60 Z M23.6332378,33.2260427 L22.3667622,34.7739573 L34.1433655,44.40936 L47.776114,27.6305926 L46.223886,26.3694074 L33.8566345,41.59064 L23.6332378,33.2260427 Z" />
                            <circle id="successAnimationCircle" cx="35" cy="35" r="24"
                                stroke="#979797" stroke-width="2" stroke-linecap="round" fill="transparent" />
                            <polyline id="successAnimationCheck" stroke="#979797" stroke-width="2"
                                points="23 34 34 43 47 27" fill="transparent" />
                        </svg>
                        <h5 class="mb-0">We have received your message.!</h5>
                        <p class="text-muted">Thanks for reaching out! Someone will be in touch with you shortly.</p>
                        <button type="button" class="btn btn-secondary btn-sm"
                            style="min-width: 100px; height: 30px; line-height:normal;"
                            data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->yieldContent('content'); ?>

        <?php echo $__env->make('layouts.partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->make('layouts.partials.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/layouts/site.blade.php ENDPATH**/ ?>