<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('assets/plugins/select2/select2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/dropify/css/dropify.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('assets/plugins/@mdi/css/materialdesignicons.min.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .error {
            color: #F00;
            background-color: #FFF;
        }

        iframe {
            height: 100vh
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <nav class="page-breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Services</li>
            <li class="breadcrumb-item active" aria-current="page">
                <?php if(isset($service)): ?>
                    Edit
                <?php else: ?>
                    Create
                <?php endif; ?> Service
            </li>
        </ol>
    </nav>

    <div class="row">
        <div class="col-lg-12">
            <div class="d-flex justify-content-center">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">
                                <?php if(isset($service)): ?>
                                    Edit
                                <?php else: ?>
                                    Create
                                <?php endif; ?> Service
                            </h4>
                            <?php if(isset($service)): ?>
                                <form method="post" action="/admin/services/services/<?php echo e($service->id); ?>" id="PostForm"
                                    enctype="multipart/form-data">
                                    <?php echo method_field('PUT'); ?>
                                <?php else: ?>
                                    <form method="post" action="/admin/services/services" id="PostForm"
                                        enctype="multipart/form-data">
                                    <?php endif; ?>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title</label>
                                                    <input class="form-control" name="title" id="title"
                                                        placeholder="Service Title"
                                                        value="<?php if(isset($service)): ?><?php echo e($service->title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Slug</label>
                                                    <input class="form-control" name="slug" id="slug"
                                                        placeholder="Service Slug"
                                                        value="<?php if(isset($service)): ?><?php echo e($service->slug); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label class="form-label">Category</label>
                                                    <select name="category" aria-placeholder="Select Category"
                                                        class="form-select" id="category" data-width="100%">
                                                        <option value="">Select Category</option>
                                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($category->id); ?>"
                                                                <?php echo e(isset($service) ? ($service->service_category_id == $category->id ? 'selected' : '') : ''); ?>>
                                                                <?php echo e($category->title); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title
                                                        Description</label>
                                                    <input class="form-control" name="title_desc" id="title_desc"
                                                        placeholder="Title Description" required
                                                        value="<?php if(isset($service)): ?><?php echo e($service->title_desc); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short Title</label>
                                                    <input class="form-control" name="short_title" id="short_title"
                                                        placeholder="Short Title" required
                                                        value="<?php if(isset($service)): ?><?php echo e($service->short_title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>

                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Call Us Number</label>
                                                    <input class="form-control" name="call_number" id="call_number"
                                                        placeholder="Call Us Number" required
                                                        value="<?php if(isset($service)): ?><?php echo e($service->call_number); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>


                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Youtube Link</label>
                                                    <input class="form-control" name="youtube_link" required
                                                        id="youtube_link" placeholder="Youtube Link"
                                                        value="<?php if(isset($service)): ?><?php echo e($service->youtube_link); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label class="form-label">Sections</label>
                                                    <select name="contents[]" aria-placeholder="Select Sections" required
                                                        class="js-example-basic-multiple form-select" multiple="multiple"
                                                        data-width="100%">
                                                        <?php $__currentLoopData = $contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($content->id); ?>"
                                                                <?php if(isset($service)): ?>
                                                                <?php $__currentLoopData = $service->contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <?php if($q->id == $content->id): ?>
                                                                        selected
                                                                    <?php endif; ?>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                <?php endif; ?>>
                                                                <?php echo e($content->name); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label class="form-label">Questionnaire</label>
                                                    <select name="questionnaire" aria-placeholder="Select Questionnaire"
                                                        class="js-example-basic-single form-select" data-width="100%">
                                                        <option value="">Select Questionnaire</option>
                                                        <?php $__currentLoopData = $questionnaires; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $questionnaire): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($questionnaire->id); ?>"
                                                                <?php echo e(isset($service) ? ($service->questionnaire_id == $questionnaire->id ? 'selected' : '') : ''); ?>>
                                                                <?php echo e($questionnaire->title); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12">
                                        <div class="row">
                                            <div class="col-lg-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Description</label>
                                                    <textarea id="description" name="description" required class="form-control" id="defaultconfig-4" rows="5"
                                                        placeholder="Enter Description"><?php echo e(isset($service) ? $service->description : ''); ?></textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Banner Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="bannerImage" type="file" id="myDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($service)): ?> data-default-file="<?php echo e($service->getFirstMediaUrl('banner_image')); ?>" <?php else: ?> required <?php endif; ?> />
                                                </div>
                                            </div>
                                            <div class="col-lg-2">
                                                <div>
                                                    <label for="name" class="form-label">Have Service Brochure</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="have_brochure" type="checkbox" id="have_brochure"
                                                        <?php if(isset($service)): ?> <?php echo e($service->has_brochure == 1 ? 'checked' : ''); ?> <?php endif; ?> />

                                                </div>
                                            </div>
                                            <div class="col-lg-2">
                                                <div>
                                                    <label for="name" class="form-label">Hide In Menu</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="hide_in_menu" type="checkbox" id="hide_in_menu"
                                                        <?php if(isset($service)): ?> <?php echo e($service->hide_in_menu == 1 ? 'checked' : ''); ?> <?php endif; ?> />

                                                </div>
                                            </div>
                                        </div>
                                        <br>
                                        <div class="row">
                                            <h4 class="card-title"><u>Service Brochure</u></h4>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Title</label>
                                                    <input class="form-control" id="bro_title" name="bro_title"
                                                        placeholder="Title"
                                                        value="<?php if(isset($service)): ?><?php echo e(isset($service->brochure) ? $service->brochure->title : ''); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Short Description</label>
                                                    <input class="form-control" name="bro_short"
                                                        placeholder="Short Description"
                                                        value="<?php if(isset($service)): ?><?php echo e(isset($service->brochure) ? $service->brochure->short_description : ''); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Whatsapp Number with country
                                                        code exclude '+'</label>
                                                    <input class="form-control" name="bro_whatsapp_no"
                                                        placeholder="Whatsapp Number"
                                                        value="<?php if(isset($service)): ?><?php echo e(isset($service->brochure) ? $service->brochure->whatsapp_no : ''); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Whatsapp Text for
                                                        enquiry</label>
                                                    <input class="form-control" name="bro_whatsapp_text"
                                                        placeholder="Whatsapp Text for enquiry"
                                                        value="<?php if(isset($service)): ?><?php echo e(isset($service->brochure) ? $service->brochure->whatsapp_text : ''); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-lg-4">
                                                <div>
                                                    <label for="name" class="form-label">Brochure Image</label>
                                                </div>
                                                <div class="mb-3">
                                                    <input name="brochureImage" type="file" id="broDropify"
                                                        data-allowed-file-extensions="jpg png jpeg"
                                                        <?php if(isset($service)): ?> data-default-file="<?php echo e(isset($service->brochure) ? $service->brochure->getFirstMediaUrl('image') : ''); ?>" <?php endif; ?> />
                                                </div>
                                            </div>

                                        </div>
                                        <br>
                                        <div class="row">
                                            <h4 class="card-title"><u>SEO</u></h4>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Title</label>
                                                    <input class="form-control" id="seo_title" required name="seo_title"
                                                        placeholder="Meta Title"
                                                        value="<?php if(isset($service)): ?><?php echo e($service->seo_title); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Description</label>
                                                    <input class="form-control" name="seo_description" required
                                                        placeholder="Meta Description"
                                                        value="<?php if(isset($service)): ?><?php echo e($service->seo_description); ?><?php endif; ?>"
                                                        type="text">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="mb-3">
                                                    <label for="name" class="form-label">Meta Other</label>
                                                    <textarea id="maxlength-textarea" name="seo_other" class="form-control" id="defaultconfig-4" rows="5"
                                                        placeholder="Meta Other">
<?php if(isset($service)): ?>
<?php echo e($service->seo_other); ?>

<?php endif; ?>
</textarea>
                                                </div>
                                            </div>

                                        </div>

                                        <br>
                                        <input class="btn btn-primary" type="submit" value="Submit">
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if(isset($service)): ?>
        <br>
        <div class="row">
            <div class="col-lg-12">
                <div class="d-flex justify-content-center">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Preview
                                </h4>
                                <iframe src="<?php echo e(url('/' . $service->slug)); ?>" style="width: 100%"
                                    title="Iframe Example"></iframe>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('plugin-scripts'); ?>
    <script src="<?php echo e(asset('assets/plugins/tinymce/tinymce.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/jquery-validation/jquery.validate.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/plugins/dropify/js/dropify.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        $(document).ready(function() {
            if ($(".js-example-basic-multiple").length) {
                $(".js-example-basic-multiple").select2({
                    placeholder: "Select Sections",
                    allowClear: true,
                });
            }

            if ($(".js-example-basic-single").length) {
                $(".js-example-basic-single").select2({
                    placeholder: "Select Questionnaire",
                    allowClear: true,
                });
            }

            $('#category').select2({
                placeholder: "Select Category",
                allowClear: true,
            });

            $('#myDropify').dropify();
            $('#broDropify').dropify();
            //creating slug for question
            $("#title").keyup(function(e) {
                var Text = $(this).val();
                Text = Text.toLowerCase();
                var regExp = /\s+/g;
                Text = Text.replace(regExp, '-');
                $("#slug").val(Text);
            });

            if ($("#description").length) {
                tinymce.init({
                    selector: '#description',
                    height: 400,
                    default_text_color: 'red',
                    plugins: [
                        'advlist autolink lists link image charmap print preview hr anchor pagebreak',
                        'searchreplace wordcount visualblocks visualchars code fullscreen',
                    ],
                    toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image',
                    toolbar2: 'print preview media | forecolor backcolor emoticons | codesample help',
                    image_advtab: true,
                    templates: [{
                            title: 'Test template 1',
                            content: 'Test 1'
                        },
                        {
                            title: 'Test template 2',
                            content: 'Test 2'
                        }
                    ],
                    content_css: []
                });
            }

            $("#PostForm").validate({
                ignore: [],
                rules: {
                    title: {
                        required: true,
                        minlength: 3
                    },
                    slug: {
                        required: true,
                    },
                    category: {
                        required: true,
                    },
                    bro_title: {
                        required: {
                            depends: function(element) {
                                return $("#have_brochure").is(":checked");
                            }
                        },
                    },
                    bro_whatsapp_text: {
                        required: {
                            depends: function(element) {
                                return $("#have_brochure").is(":checked");
                            }
                        },
                    },
                    bro_whatsapp_no: {
                        required: {
                            depends: function(element) {
                                return $("#have_brochure").is(":checked");
                            }
                        },
                    },
                },
                submitHandler: function(form, e) {
                    e.preventDefault();
                    var method = $(form).attr('method');
                    var url = $(form).attr('action');
                    var formData = new FormData(form);
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                        }
                    });
                    $.ajax({
                        type: method,
                        url: url,
                        contentType: false,
                        processData: false,
                        data: formData,
                        success: function(result) {
                            if (result) {
                                <?php if(isset($service)): ?>
                                <?php else: ?>
                                    form.reset();
                                    $('.js-example-basic-single').val('').trigger(
                                        'change');
                                    $('.js-example-basic-multiple').val('').trigger(
                                        'change');
                                    $('#category').val('').trigger('change');
                                    $(".dropify-clear").trigger("click");
                                <?php endif; ?>
                                const Toast = Swal.mixin({
                                    toast: true,
                                    position: 'top-end',
                                    showConfirmButton: false,
                                    timer: 2000,
                                    timerProgressBar: true,
                                });

                                Toast.fire({
                                    icon: 'success',
                                    title: result.message,
                                })
                            }
                        },
                        error: function(data) {
                            const Toast = Swal.mixin({
                                toast: true,
                                position: 'top-end',
                                showConfirmButton: false,
                                timer: 2000,
                                timerProgressBar: true,
                            });

                            Toast.fire({
                                icon: 'error',
                                title: 'Something went wrong',
                            })

                            if (data.responseJSON['errors']) {

                                let err = data.responseJSON['errors'];

                                $.each(err, (i, j) => {
                                    $(`input[name=${i}]`).after(
                                        `<span class="text-danger">${j}</span>`);
                                });
                            }
                        }
                    });
                    return false;
                }
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dltstaging/public_html/dltstaging/resources/views/admin/pages/services/services/create.blade.php ENDPATH**/ ?>